%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ceilometer
Version:        9.5.0
Release:        4%{?dist}
Summary:        Puppet module for OpenStack Ceilometer
License:        Apache-2.0

URL:            https://launchpad.net/puppet-ceilometer

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
Patch0001: 0001-Fix-strict-variable-errors-in-ceilometer-agent-polli.patch
Patch0002: 0002-Add-support-to-set-host-param.patch
Patch0003: 0003-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0004: 0004-Switch-to-Zuul-v3-testing.patch
Patch0005: 0005-Fix-dispatcher-params.patch
Patch0006: 0006-Run-puppet-openstack-beaker-jobs.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Ceilometer

%prep
%setup -q -n openstack-ceilometer-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ceilometer/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ceilometer/



%files
%{_datadir}/openstack-puppet/modules/ceilometer/


%changelog
* Mon Jan 15 2018 shrjoshi <shrjoshi@redhat.com> 9.5.0-4
- Run puppet-openstack-beaker-jobs
- Fix dispatcher params
- Switch to Zuul v3 testing
- [newton] Add Puppet package to bindep, for module build

* Tue Nov 21 2017 Pradeep Kilambi <pkilambi@redhat.com> 9.5.0-3
- Add support to set host param (rhbz#1515969)

* Tue Aug 08 2017 Steve Linabery <slinaber@redhat.com> 9.5.0-2
- Fix strict variable errors in ceilometer::agent::polling

* Mon Feb 13 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1421852)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 9.4.1-2
- Added retries for db_sync (lp#1628580, lp#1645474)

* Mon Nov 07 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.1-1
- Update to 9.4.1

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Add option to enable Ceilometer's SSL middleware

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


